
Prewikka - Bug #273

Error after login into prewikka

01/15/2008 12:03 AM - 

Status: Resolved Start date:  

Priority: Urgent Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.15   

Resolution: worksforme   

Description

Prewikka Internal Error

in method 'preludedb_get_alert_idents2', argument 2 of type 'idmef_criteria_t *'

Traceback (most recent call last):

  File "/usr/lib/python2.3/site-packages/prewikka/Core.py", line 328, in process

    getattr(view_object, view[[handler]])()

  File "/usr/lib/python2.3/site-packages/prewikka/views/alertlisting.py", line 1104, in render

    total = self._setMessages(criteria)

  File "/usr/lib/python2.3/site-packages/prewikka/views/alertlisting.py", line 1055, in _setMessag

es

    results = self.env.idmef_db.getAlertIdents(criteria)

  File "/usr/lib/python2.3/site-packages/prewikka/IDMEFDatabase.py", line 398, in getAlertIdents

    return self._getMessageIdents(preludedb_get_alert_idents2, criteria, limit, offset)

  File "/usr/lib/python2.3/site-packages/prewikka/IDMEFDatabase.py", line 384, in _getMessageIdent

s

    PRELUDEDB_RESULT_IDENTS_ORDER_BY_CREATE_TIME_DESC)

[[TypeError]]: in method 'preludedb_get_alert_idents2', argument 2 of type 'idmef_criteria_t *'

Related issues:

Duplicates Prewikka - Bug #346: Event tab : Prewikka Internal Error Resolved

History

#1 - 01/15/2008 10:44 AM - Yoann VANDOORSELAERE

Could you please provide the version of libprelude & libpreludedb being used? Are they installed from sources, or from packages ?

#2 - 01/15/2008 03:58 PM - 

All the sources are compiled.

Libprelude version 0.9.16.1

llibpreludedb version 0.9.14.1

prelude-manager version 0.9.10

prelude-lml-0.9.11

prewikka 0.9.13

#3 - 02/07/2008 09:42 AM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to wontfix
This generally happen when libprelude and libpreludedb are compiled with their bindings code generated by different Swig version.

Please make sure that you use the distribution release included swig wrappers, or that you use the same Swig version for both library if you need to

re-generate the bindings code.

Marking this ticket as wontfix, since we have no control over Swig ABI issue. Please re-open if the above advise doesn't help.

#4 - 02/19/2008 04:06 PM - 

- Status changed from Closed to Feedback

- Resolution deleted (wontfix)

Hi,

i have a similiar problem, but both libprelude and libpreludedb have been compiled with the same swig version on the same host. prelude itself seems

to run fine cause i can talk to prelude via the prelude-admin utility.

The version i am using are:

libprelude 0.9.16.1

libpreludedb 0.9.14.1

prelude-manager 0.9.10

prewikka 0.9.13

My Error is as follows:

Traceback (most recent call last):

File "/usr/lib/python2.4/site-packages/prewikka/Core.py", line 328, in process

getattr(view_object, view[[handler]])()

File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 1104, in render

total = self._setMessages(criteria)

File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 1053, in _setMessages

return self._setAggregatedMessagesNoValues(criteria, ag_s, ag_t, ag_c, ag_a)

File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 920, in _setAggregatedMessagesNoValues

results = self.env.idmef_db.getValues(selection, criteria)

File "/usr/lib/python2.4/site-packages/prewikka/IDMEFDatabase.py", line 461, in getValues

result = preludedb_get_values2(self._db, my_selection, criteria, distinct, limit, offset)

[[TypeError]]: in method 'preludedb_get_values2', argument 3 of type 'idmef_criteria_t *'

#5 - 04/04/2008 12:16 PM - Yoann VANDOORSELAERE

Is SWIG installed on the libprelude / libpreludedb machine?

If it is, please report the output of the following command:
swig -version

 

Additionally, could you please check the head of the swig generated bindings/python/_prelude.c file, and provide us with the SWIG comment at the

top of the file?

This should look like:

/* ----------------------------------------------------------------------------

* This file was automatically generated by SWIG (http://www.swig.org).

* Version x.x.x

 *

#6 - 04/28/2008 02:22 PM - Yoann VANDOORSELAERE

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing this ticket since we are missing the information required to trace the problem. Additionally, other users does not seems to be impacted by this

issue.

Please do not hesitate to re-open in case the problem reproduce.

#7 - 04/29/2009 12:21 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prewikka

- Category deleted (5)

- Target version deleted (80)

#8 - 06/10/2009 01:01 PM - Yoann VANDOORSELAERE

- Status changed from Closed to Resolved

#9 - 09/23/2009 02:54 PM - S AVELINE

I think I have the same problem. I use centos 5.2, I rebuilt a swig version to 1.3.40.

I have rebuilt all my rpms here is my different packages:

libprelude-devel-0.9.24.1-4

libpreludedb-0.9.15.1-5

libpreludedb-sqlite-0.9.15.1-5

prelude-manager-devel-0.9.14.2-4

libprelude-0.9.24.1-4

libprelude-python-0.9.24.1-4

libprelude-ruby-0.9.24.1-4

libpreludedb-devel-0.9.15.1-5

libpreludedb-pgsql-0.9.15.1-5

libpreludedb-python-0.9.15.1-5

prelude-manager-0.9.14.2-4
prelude-manager-db-plugin-0.9.14.2-4

prelude-manager-smtp-plugin-0.9.14.2-4

libprelude-perl-0.9.24.1-4

libpreludedb-mysql-0.9.15.1-5

libpreludedb-perl-0.9.15.1-5

prelude-manager-xml-plugin-0.9.14.2-4

For prewikka: prewikka-0.9.17.1 (I had to suppress egg-info file from specfile). I've also this error when clicking on Alerts:

in method 'preludedb_get_values2', argument 3 of type 'idmef_criteria_t *'

Can you help me please

#10 - 10/12/2009 12:04 PM - Yoann VANDOORSELAERE

Hi S

Powered by TCPDF (www.tcpdf.org)

04/25/2024 4/4

http://www.tcpdf.org

